## org.jibx.runtime
Class EnumSet.EnumItem

    java.lang.Object
      org.jibx.runtime.EnumSet.EnumItem

Enclosing class:
  EnumSet

    public static class EnumSet.EnumItem

extends java.lang.Object

Enumeration pair information. This gives an `int` value along with the associated `String` representation.

Field Summary
`java.lang.String` `m_name`
`int` `m_value`

Constructor Summary
`EnumSet.EnumItem(int value, java.lang.String name)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_value

    public final int m_value

### m_name

    public final java.lang.String m_name

Constructor Detail

### EnumSet.EnumItem

    public EnumSet.EnumItem(int value,
                            java.lang.String name)

Project Web Site |